Zum Inhalt

Create shipToAddress

Create a ship to address object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/shipToAddressesWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of shipToAddress object.

Response

If successful, this method returns 201 Created response code and a shipToAddress object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/shipToAddressesWebCon
Content-type: application/json

{
    "code": "HHS",
    "customerNumber": "D00070",
    "address": "Heinrich-Hasemeier-Straße 15",
    "city": "Osnabrück",
    "postCode": "49076"
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "6a9236ae-ae4c-ee11-a0d4-f8b8b30ee139",
    "code": "HHS",
    "customerNumber": "D00070",
    "name": "TSO-DATA GmbH",
    "name2": "",
    "address": "Heinrich-Hasemeier-Straße 15",
    "address2": "",
    "city": "Osnabrück",
    "country": "",
    "postCode": "49076",
    "blocked": false
}

See also

Tips for working with the APIs
shipToAddress
Get shipToAddress
Delete shipToAddress
Update shipToAddress